#
# spec file for package bochs (Version 1.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libpcap xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libpcap libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         bochs
Copyright:    LGPL
Group:        Applications/Emulators
#Requires:     xforms
Autoreqprov:  on
Version:      1.2.1
Release:      52
Summary:      Cross-platform IA32 emulator
Source: bochs-%{version}.tar.bz2
Patch:  bochs-%{version}.dif

%description
Bochs is a highly portable open source IA-32 (x86) PC emulator written in
C++, that runs on most popular platforms. It includes emulation of the Intel
x86 CPU, common I/O devices, and a custom BIOS. Currently, bochs can be
compiled to emulate a 386, 486 or Pentium CPU. Bochs is capable of running
most Operating Systems inside the emulation including Linux, Windows 95,
DOS, and recently Windows NT 4.

Authors:
--------
    Kevin Lawton <kevin@bochs.com>

SuSE series: emu

%prep
%setup
%patch

%build
CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE" \
CXXFLAGS="$RPM_OPT_FLAGS -fpermissive -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE" ./configure \
	--prefix=/usr \
	--enable-ne2000 \
	--enable-pci \
%ifnarch s390
	--enable-cdrom \
%endif
	--enable-sb16=linux
make
strip bochs

%install
install -m 755 bochs /usr/X11R6/bin
install -m 644 .bochsrc /etc/bochsrc
rm -fr /usr/lib/bochs
install -d -m 755 /usr/lib/bochs
install -d -m 755 /usr/lib/bochs/bios
install -m 644 bios/BIOS-bochs-latest bios/VGABIOS-elpin-2.40 /usr/lib/bochs/bios
install -m 644 font/vga.pcf /usr/X11R6/lib/X11/fonts/misc
bdftopcf -o /usr/X11R6/lib/X11/fonts/misc/hercules.pcf font/hercules.bdf

%files
%doc CHANGES COPYING README docs-html bios/VGABIOS-elpin-LICENSE
/usr/X11R6/bin/bochs
%config(noreplace) /etc/bochsrc
/usr/lib/bochs
/usr/X11R6/lib/X11/fonts/misc/vga.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/hercules.pcf.gz

%changelog -n bochs
* Thu Aug 02 2001 - uli@suse.de
- disabled cdrom emulation on s390
* Mon Jul 23 2001 - uli@suse.de
- update -> 1.2.1
* Mon May 21 2001 - uli@suse.de
- initial package
